Package org.eclipse.ui.intro.config

## Interface IIntroXHTMLContentProvider

All Superinterfaces:
  `IIntroContentProvider`

    public interface IIntroXHTMLContentProvider
    extends IIntroContentProvider

A content provider for dynamic XHTML Intro content. When an XHTML intro page is parsed and a contentProvider element is detected, it is used to create dynamic XHTML content in the page.

Since:
  3.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `createContent​(String id, Element parent)` Create XHTML content in the provided parent DOM Element.

### Methods inherited from interface org.eclipse.ui.intro.config.IIntroContentProvider

`createContent, createContent, dispose, init`

### Method Detail

#### createContent

    void createContent​(String id,
                       Element parent)

Create XHTML content in the provided parent DOM Element. A typical usage for this method would be:
`<contentProvider id="contentProviderId" class="xx.yy.IntroContentProvider" pluginId="xx.yy.id"/>
`
A parent DOM Element will be passed to allow for adding dynamic content by manipulating the Java XML DOM for the XHTML file. A div is created with an id equal to the id specified in the contentProvider element, and is passed as the parent. In the above example, the DOM element representing a div with id=myContentProviderDivId would be the parent passed.

Parameters:
  `id` - the unique identifier of the content element. The same content provider class can be reused for several elements and the id can be used to tell them apart.
  `parent` - the parent xml Element where dynamic content will be added as children.